org.bdgenomics.cannoli.builder

## Class CommandBuilders

- java.lang.Object
- - org.bdgenomics.cannoli.builder.CommandBuilders

All Implemented Interfaces:
  Serializable

    public final class CommandBuilders
    extends Object
    implements Serializable

Cannoli pipe command builders.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandBuilders()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CommandBuilder` `create(boolean useDocker, boolean useSingularity)` Create a new Cannoli pipe command builder.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandBuilders

    public CommandBuilders()

### Method Detail

#### create

    public static CommandBuilder create(boolean useDocker,
                                        boolean useSingularity)

Create a new Cannoli pipe command builder.

Parameters:
  `useDocker` - true to use Docker, `useDocker` and `useSingularity` must not both be true
  `useSingularity` - true to use Singularity, `useDocker` and `useSingularity` must not both be true
Returns:
  a new Cannoli pipe command builder